org.apache.pdfbox.pdfparser

## Class PDFXrefStreamParser

- java.lang.Object
- - org.apache.pdfbox.pdfparser.BaseParser
  - - org.apache.pdfbox.pdfparser.PDFXrefStreamParser

    public class PDFXrefStreamParser
    extends BaseParser

This will parse a PDF 1.5 (or better) Xref stream and extract the xref information from the stream.

Author:
  Justin LeFebvre

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdfparser.BaseParser

`A, ASCII_CR, ASCII_LF, B, D, DEF, document, E, ENDOBJ_STRING, ENDSTREAM_STRING, J, M, N, O, R, S, source, STREAM_STRING, T`

### Constructor Summary

Constructors
Constructor and Description
`PDFXrefStreamParser(COSStream stream, COSDocument document)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse(XrefTrailerResolver resolver)` Parses through the unfiltered stream and populates the xrefTable HashMap.

### Methods inherited from class org.apache.pdfbox.pdfparser.BaseParser

`getObjectKey, isClosing, isClosing, isDigit, isDigit, isEndOfName, isEOF, isEOL, isEOL, isSpace, isSpace, isWhitespace, isWhitespace, parseCOSArray, parseCOSDictionary, parseCOSName, parseCOSString, parseDirObject, readExpectedChar, readExpectedString, readGenerationNumber, readInt, readLine, readLong, readObjectNumber, readString, readString, readStringNumber, skipLinebreak, skipSpaces, skipWhiteSpaces`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFXrefStreamParser

    public PDFXrefStreamParser(COSStream stream,
                               COSDocument document)
                        throws IOException

Constructor.

Parameters:
  `stream` - The stream to parse.
  `document` - The document for the current parsing.
Throws:
  `IOException` - If there is an error initializing the stream.

### Method Detail

#### parse

    public void parse(XrefTrailerResolver resolver)
               throws IOException

Parses through the unfiltered stream and populates the xrefTable HashMap.

Parameters:
  `resolver` - resolver to read the xref/trailer information
Throws:
  `IOException` - If there is an error while parsing the stream.